Name: uml_utilities
Version: 20070815
Release: 6%{?dist}
License: GPL+
URL: http://user-mode-linux.sourceforge.net/index.html
Source0: http://user-mode-linux.sourceforge.net/%{name}_%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: fuse-devel, readline-devel
Requires(pre): shadow-utils
Group: Applications/Internet
Summary: Utilities for user-mode linux kernel
# installation problem was reported upstream:
# http://sourceforge.net/mailarchive/message.php?msg_name=47E16C87.8080705%40plauener.de
Patch0: uml_utilities_20070815-install.patch

%description 
This package contains the utilities for user-mode linux for networking, 
COW, etc.

%prep
%setup -q -n tools-%{version}
%patch0 -p1 -b .install

%build
%{__make} CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# Makefiles do hardcoded stripping, breaking debug package
for mfile in */Makefile; do sed -i "s/install -s/install /" $mfile; done

make install LIB_DIR=%{_libdir}/uml DESTDIR=$RPM_BUILD_ROOT
# we need port-helper in the path
mylib=`echo %{_libdir} | sed "s/\/usr//"`
ln -s ..$mylib/uml/port-helper $RPM_BUILD_ROOT%{_bindir}/port-helper

%files
%defattr(-,root,root,-)
%doc COPYING Changelog
%attr(755,root,root) %dir %{_libdir}/uml
%attr(4750,root,uml-net) %{_bindir}/uml_net
%{_bindir}/jailtest
%{_bindir}/tunctl
%{_bindir}/uml_mconsole
%{_bindir}/uml_moo
%{_bindir}/uml_switch
%{_bindir}/uml_mkcow
%{_bindir}/uml_watchdog
%{_bindir}/port-helper
%{_libdir}/uml/port-helper
#%attr(755,root,root) %{_libdir}/uml/functions
#%attr(755,root,root) %{_bindir}/mkrootfs
#paul these were missing
%{_bindir}/uml_mount
%{_sbindir}/jail_uml
%{_bindir}/humfsify

%clean
rm -rf ${RPM_BUILD_ROOT}

%pre
getent group uml-net >/dev/null || groupadd -r uml-net
exit 0

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20070815-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 03 2009 Paul Wouters <paul@xelerance.com> - 20070815-5
- Limited setuid binary to only members of the uml-net group

* Fri Feb 27 2009 Christian Krause <chkr@plauener.de> - 20070815-4
- use regular version tag
- fixed license tag
- updated Source0 URL
- removed unneeded BuildRequirement

* Sun Feb 15 2009 Christian Krause <chkr@plauener.de> - 20070815-3
- fix install parameter
- set LIB_DIR to fix installation on ppc64
- set CFLAGS to honor RPM_OPT_FLAGS

* Sun Nov  2 2008 Paul Wouters <paul@xelerance.com> - 20070815-2
- Added -q to setup

* Sat Nov  1 2008 Paul Wouters <paul@xelerance.com> - 20070815-1
- Was pointed to newer version of source at obscured location
- Hack out hardcoded stripping of binaries
- -D_FILE_OFFSET_BITS=64 no longer needed

* Tue Oct 28 2008 Paul Wouters <paul@xelerance.com> - 20060622-2
- Added a link to port-helper, so it is in the path

* Fri Oct 24 2008 Paul Wouters <paul@xelerance.com> - 20060622-1
- Initial package based on spec file in the sourcecode

